Skip to main content
PUT
Update storage provider

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Scopes

storage:manage

Allow members to manage the organization's storage providers.

Path Parameters

organization
string
required

The organization slug

storageConfiguration
integer
required

The storage configuration ID

Body

application/json
name
string
required
Maximum string length: 255
provider
enum<string>
required
Available options:
s3,
spaces,
hetzner,
ovh,
scaleway,
custom
region
string
bucket
string | null
endpoint
string<uri>
access_key
string | null
secret_key
string | null
use_ec2_assumed_role
boolean
directory
string | null
assume_role
boolean
default:false

Response

StorageProviderResource

data
StorageProviderResource · object
required